Package groovy.lang.groovydoc

# Class Groovydoc

java.lang.Object
groovy.lang.groovydoc.Groovydoc

    public class Groovydoc
    extends Object

Represents groovydoc

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static Groovydoc` | `EMPTY_GROOVYDOC` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Groovydoc​(String content, GroovydocHolder groovydocHolder)` |
  `Groovydoc​(String content, AnnotatedElement annotatedElement)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object o)` |
  `String` | `getContent()` | Get the content of groovydoc
  `GroovydocHolder` | `getHolder()` | Get the holder of the groovydoc
  `List<GroovydocTag>` | `getTagList()` | TODO Get list of groovydoc tags
  `int` | `hashCode()` |
  `boolean` | `isPresent()` | Tests if groovydoc is present
  `String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EMPTY_GROOVYDOC

    public static final Groovydoc EMPTY_GROOVYDOC

- ## Constructor Details

  - ### Groovydoc

    public Groovydoc​(String content, GroovydocHolder groovydocHolder)

  - ### Groovydoc

    public Groovydoc​(String content, AnnotatedElement annotatedElement)

- ## Method Details

  - ### isPresent

    public boolean isPresent()
    Tests if groovydoc is present
    Returns:
      `true` if groovydoc is present

  - ### getContent

    public String getContent()
    Get the content of groovydoc
    Returns:
      the text content

  - ### getTagList

    public List<GroovydocTag> getTagList()
    TODO Get list of groovydoc tags
    Returns:
      a list of tags

  - ### getHolder

    public GroovydocHolder getHolder()
    Get the holder of the groovydoc
    Returns:
      the groovydoc holder

  - ### equals

    public boolean equals​(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`